#!/bin/sh
move() {
    if [ ! -f $2 ]
    then
	if [ -f $1 ]
	then
	    mv $1 $2
	fi
    fi
}

cd /usr/src/HanX2.10.7/Linux
echo "Renaming the Original X libraries"
move /usr/X386/lib/libX11.a /usr/X386/lib/libOrgX11.a
#move /usr/X386/lib/libX11.sa /usr/X386/lib/libOrgX11.sa
move /usr/X386/lib/libX11.so.3.1.0 /usr/X386/lib/libOrgX11.so.3.1.0
move /usr/X386/lib/libX11.so.6.0 /usr/X386/lib/libOrgX11.so.6.0

echo "Copying the HanX libraries"
install -m 644 -o root -g bin libHanX11.a /usr/X386/lib/libHanX11.a
install -m 644 -o root -g bin libHanX11.sa /usr/X386/lib/libHanX11.sa
install -m 755 -o root -g bin libHanX11.so.3.1.0 /usr/X386/lib/libHanX11.so.3.1.0
install -m 755 -o root -g bin libHanX11.so.6.0 /usr/X386/lib/libHanX11.so.6.0

echo "Please ignore the following errors from ln, \"File Exists\""
ln -s /usr/X386/lib/libHanX11.a /usr/X386/lib/libX11.a
#ln -s /usr/X386/lib/libHanX11.sa /usr/X386/lib/libX11.sa
ln -s /usr/X386/lib/libHanX11.so.3.1.0 /usr/X386/lib/libX11.so.3.1.0
ln -s /usr/X386/lib/libHanX11.so.6.0 /usr/X386/lib/libX11.so.6.0
ldconfig /usr/X386/lib

install -m 644 -o root -g bin HanX.n /usr/man/mann/HanX.n
install -m 644 -o root -g bin HanXHangul.n /usr/man/catn/HanXHangul.n
install -m 644 -o root -g bin USAGE /usr/local/info/HanX.USAGE
install -m 755 -o root -g bin HanXStatus /usr/X386/bin/HanXStatus
install -m 4755 -o root -g bin hxvt /usr/X386/bin/hxvt
install -m 644 -o root -g bin xvt.1 /usr/man/man1/xvt.1
install -m 755 -o root -g bin johab /usr/local/bin/johab

echo "HanX is installed."
echo "ldconfig -v | grep HanX"
ldconfig -v | grep HanX
